Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Announcement banner
  • App data policies
  • App migration
  • App properties
  • Application roles
  • Audit records
  • Avatars
  • Classification levels
  • Dashboards
  • Dynamic modules
  • Field schemes
  • Filter sharing
  • Filters
  • Group and user picker
  • Groups
  • Issue attachments
  • Issue comment properties
  • Issue comments
  • Issue custom field associations
  • Issue custom field configuration (apps)
  • Issue custom field contexts
  • Issue custom field options
  • Issue custom field options (apps)
  • Issue custom field values (apps)
  • Issue field configurations
  • Issue fields
  • Issue navigator settings
  • Issue notification schemes
  • Issue panels
  • Issue priorities
  • Issue properties
  • Issue redaction
  • Issue resolutions
  • Issue security level
  • Issue security schemes
  • Issue type properties
  • Issue type schemes
  • Issue type screen schemes
  • Issue types
  • Issue votes
  • Issue watchers
  • Issue worklog properties
  • Issue worklogs
  • Issues
  • JQL
  • JQL functions (apps)
  • Jira expressions
  • Jira settings
  • Labels
  • License metrics
  • Migration of Connect modules to Forge
  • Myself
  • Permission schemes
  • Permissions
  • Plans
  • Priority schemes
  • Project avatars
  • Project categories
  • Project classification levels
  • Project components
  • Project email
  • Project features
  • Project key and name validation
  • Project permission schemes
  • Project properties
  • Project role actors
  • Project roles
  • Project templates
  • Project types
  • Project versions
  • Projects
  • Screen schemes
  • Screen tab fields
  • Screen tabs
  • Screens
  • Server info
  • Service Registry
  • Status
  • Tasks
  • Teams in plan
  • Time tracking
  • UI modifications (apps)
  • User properties
  • Users
  • Webhooks
  • Workflow scheme drafts
  • Workflow scheme project associations
  • Workflow schemes
  • Workflow status categories
  • Workflow statuses
  • Workflow transition rules
  • Workflows
  • Other operations
Cloud
Jira Cloud platform / Reference / REST API v2

Dynamic modules

Postman Collection
OpenAPI
GET

Get modules

Returns all modules registered dynamically by the calling app.

Permissions required: Only Connect apps can make this request.

Data Security Policy: Exempt from app access rules
Scopes

Forge and OAuth2 apps cannot access this REST resource.

Connect app scope required: NONE

Request

This request has no parameters.

Responses

Returned if the request is successful.

application/json

ConnectModules
GET/rest/atlassian-connect/1/app/module/dynamic
1 2 3 curl --request GET \ --url 'https://your-domain.atlassian.net/rest/atlassian-connect/1/app/module/dynamic' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 { "jiraEntityProperties": [ { "keyConfigurations": [ { "extractions": [ { "objectName": "extension", "type": "text", "alias": "attachmentExtension" } ], "propertyKey": "attachment" } ], "entityType": "issue", "name": { "value": "Attachment Index Document" }, "key": "dynamic-attachment-entity-property" } ], "jiraIssueFields": [ { "description": { "value": "A dynamically added single-select field" }, "type": "single_select", "extractions": [ { "path": "category", "type": "text", "name": "categoryName" } ], "name": { "value": "Dynamic single select" }, "key": "dynamic-select-field" } ] }
POST

Register modules

Registers a list of modules.

Permissions required: Only Connect apps can make this request.

Data Security Policy: Exempt from app access rules
Scopes

Forge and OAuth2 apps cannot access this REST resource.

Connect app scope required: NONE

Request

Request bodyapplication/json

modules

array<ConnectModule>

Required

Responses

Returned if the request is successful.

POST/rest/atlassian-connect/1/app/module/dynamic
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 curl --request POST \ --url 'https://your-domain.atlassian.net/rest/atlassian-connect/1/app/module/dynamic' \ --header 'Content-Type: application/json' \ --data '{ "jiraEntityProperties": [ { "keyConfigurations": [ { "extractions": [ { "objectName": "extension", "type": "text", "alias": "attachmentExtension" } ], "propertyKey": "attachment" } ], "entityType": "issue", "name": { "value": "Attachment Index Document" }, "key": "dynamic-attachment-entity-property" } ], "jiraIssueFields": [ { "description": { "value": "A dynamically added single-select field" }, "type": "single_select", "extractions": [ { "path": "category", "type": "text", "name": "categoryName" } ], "name": { "value": "Dynamic single select" }, "key": "dynamic-select-field" } ] }'
DEL

Remove modules

Remove all or a list of modules registered by the calling app.

Permissions required: Only Connect apps can make this request.

Data Security Policy: Exempt from app access rules
Scopes

Forge and OAuth2 apps cannot access this REST resource.

Connect app scope required: NONE

Request

Query parameters

moduleKey

array<string>

Responses

Returned if the request is successful.

DEL/rest/atlassian-connect/1/app/module/dynamic
1 2 curl --request DELETE \ --url 'https://your-domain.atlassian.net/rest/atlassian-connect/1/app/module/dynamic'

Rate this page: